/***************************************************************************
                          LVCool.cpp
 Sets the "enable Bus disconnect on STPGNT" bit on the northbridge
 and runs and idle loop that puts the CPU into STPGNT mode.

 Since I'm not a Linux guy just the minimum approach here *g*


                             -------------------
    begin                : Fri Jul  6 10:13:24 CEST 2001
    copyright            : (C) 2001 by Martin Peters
    email                : mpet@bigfoot.de
	  URL									 : http://mpet.freeservers.com/VCool.html
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdlib.h>
#include <sys/io.h>

#include <unistd.h>
#include <stdio.h>

#define DWORD unsigned long

int Reg_PL2;

int nb_b=0, nb_d=0, nb_f=0;
int sb_b=0, sb_d=7, sb_f=4;

DWORD PCIRead(int reg, int fn=0, int dev=0,int bus=0, int port=0xcf8)
{
	
	DWORD r=0x80000000;
	DWORD ret,org;
	
	r|=(( bus & 0xff) <<16);
	r|=(( dev & 0x1f) <<11);
	r|=(( fn &  0x7 ) << 8);
	r|=(( reg & 0xfc) );
	
	org=inl(port);
	outl(r,port);
	ret=inl(port+4);
	outl(org,port);
	
	return ret;
}

void PCIWrite(DWORD val, int reg, int fn=0, int dev=0,int bus=0, int port=0xcf8)
{
	
	DWORD r=0x80000000;
	DWORD org;
	
	r|=(( bus & 0xff) <<16);
	r|=(( dev & 0x1f) <<11);
	r|=(( fn &  0x7 ) << 8);
	r|=(( reg & 0xfc) );

	org=inl(port);
	outl(r,port);
	outl(val,port+4);
	outl(org,port);
	
}

void InitPCI()
{
	DWORD res;

	bool found=true;
	

// quick serach

	res=PCIRead(0,0,0);	
	if ((res!=0x03051106) && (res!=0x03911106))
		found=false;
	
	res=PCIRead(0,4,7);
	if (res!=0x30571106)
		found=false;

// if not found (shouldn't happen I think) - scan bus

	if (!found)
	{
	int bus,dev,fun,i=0;


	for (bus=0;bus<255;bus++)
	{
		for (dev=0;dev<32;dev++)
		{
			for (fun=0;fun<7;fun++)
			{
				res=PCIRead(0,fun,dev,bus);
				if (res==0xffffffff)
					continue;
	
				if ((res==0x03051106) || (res==0x03911106))
				{
					nb_b=bus;
					nb_d=dev;
					nb_f=fun;
					i+=1;
				}

				if (res==0x30571106)
				{
					sb_b=bus;
					sb_d=dev;
					sb_f=fun;
					i+=2;
				}
				if (i>=3) break;
			}
			if (i>=3) break;
		}
		if (i>=3) break;
	}
  if (i!=3)
		perror("Chipset not found");
	}

	// enable ACPI and find I/O-Space

	res=PCIRead(0x41,sb_f,sb_d,sb_b);


	if ((res &0x8000)==0)
	{
		res|=0x8000;
		PCIWrite(res,0x41,sb_f,sb_d,sb_b);
	}

	res=PCIRead(0x48,sb_f,sb_d,sb_b);
	res&=0xff80;

	Reg_PL2=res+0x14;

		
	// now set "enable bus Diconnect when STPGNT detected" bit"

	res=PCIRead(0x52,nb_f,nb_d,nb_b);
	res |=0x00800000;
	PCIWrite(res,0x52,nb_f,nb_d,nb_b);


}

void Idleloop()
{
	if(nice(20) == -1)
	{
	perror("nice");
	}
	while(1)
		inb(Reg_PL2);
}





int main(int argc, char *argv[])
{
 	if (iopl(3)<0)
		perror("must run as root");
	InitPCI();
	Idleloop();

  return EXIT_SUCCESS;
}
